com.smartgwt.client.types

## Enum State

- java.lang.Object
- - java.lang.Enum<State>
  - - com.smartgwt.client.types.State

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<State>

      public enum State
      extends java.lang.Enum<State>
      implements ValueEnum

  Constants for the standard states for a StatefulCanvas.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATE_DISABLED` disabled
    `STATE_DOWN` state when mouse is down
    `STATE_OVER` state when mouse is over
    `STATE_UP` state when mouse is not acting on this StatefulCanvas

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATE_UP

          public static final State STATE_UP

      state when mouse is not acting on this StatefulCanvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "".

    - #### STATE_DOWN

          public static final State STATE_DOWN

      state when mouse is down

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Down".

    - #### STATE_OVER

          public static final State STATE_OVER

      state when mouse is over

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Over".

    - #### STATE_DISABLED

          public static final State STATE_DISABLED

      disabled

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Disabled".

  - ### Method Detail

    - #### values

          public static State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (State c : State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`